package com.zd.airbottle.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.airbottle.mapper.QpUsegasAuditRecordMapper;
import com.zd.airbottle.domain.QpUsegasAuditRecord;
import com.zd.airbottle.service.IQpUsegasAuditRecordService;

/**
 * 用气审核Service业务层处理
 * 
 * @author zd
 * @date 2022-05-12
 */
@Service
public class QpUsegasAuditRecordServiceImpl implements IQpUsegasAuditRecordService 
{
    @Autowired
    private QpUsegasAuditRecordMapper qpUsegasAuditRecordMapper;

    /**
     * 查询用气审核
     * 
     * @param id 用气审核主键
     * @return 用气审核
     */
    @Override
    public QpUsegasAuditRecord selectQpUsegasAuditRecordById(Long id)
    {
        return qpUsegasAuditRecordMapper.selectQpUsegasAuditRecordById(id);
    }

    /**
     * 查询用气审核列表
     * 
     * @param qpUsegasAuditRecord 用气审核
     * @return 用气审核
     */
    @Override
    public List<QpUsegasAuditRecord> selectQpUsegasAuditRecordList(QpUsegasAuditRecord qpUsegasAuditRecord)
    {
        return qpUsegasAuditRecordMapper.selectQpUsegasAuditRecordList(qpUsegasAuditRecord);
    }

    /**
     * 新增用气审核
     * 
     * @param qpUsegasAuditRecord 用气审核
     * @return 结果
     */
    @Override
    public int insertQpUsegasAuditRecord(QpUsegasAuditRecord qpUsegasAuditRecord)
    {
        return qpUsegasAuditRecordMapper.insertQpUsegasAuditRecord(qpUsegasAuditRecord);
    }

    /**
     * 修改用气审核
     * 
     * @param qpUsegasAuditRecord 用气审核
     * @return 结果
     */
    @Override
    public int updateQpUsegasAuditRecord(QpUsegasAuditRecord qpUsegasAuditRecord)
    {
        return qpUsegasAuditRecordMapper.updateQpUsegasAuditRecord(qpUsegasAuditRecord);
    }

    /**
     * 批量删除用气审核
     * 
     * @param ids 需要删除的用气审核主键
     * @return 结果
     */
    @Override
    public int deleteQpUsegasAuditRecordByIds(Long[] ids)
    {
        return qpUsegasAuditRecordMapper.deleteQpUsegasAuditRecordByIds(ids);
    }

    /**
     * 删除用气审核信息
     * 
     * @param id 用气审核主键
     * @return 结果
     */
    @Override
    public int deleteQpUsegasAuditRecordById(Long id)
    {
        return qpUsegasAuditRecordMapper.deleteQpUsegasAuditRecordById(id);
    }
}
